Import Run
Manage VARIO Cloud import runs via the REST API, including states, data loading, validation, entry updates, execution, and supported file formats.
einzelne Importvorgänge
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Status dieses Import-Vorgangs
Label
Wurden die Daten seit der letzten Änderung am Regelwerk validiert?
falseProzess-ID der letzten Tasks zu diesem Import-Vorgang
Typ der Eingabedaten
Resource with given ID was not found
GET /cmn/data-import/runs/single/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"importMappingRuleSetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"state": "CREATED",
"headers": [],
"label": "text",
"validatedSinceLastRuleChange": false,
"lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
"inputType": "FILE",
"queryPresetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
},
"scheduledImportRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Status dieses Import-Vorgangs
Label
Wurden die Daten seit der letzten Änderung am Regelwerk validiert?
falseProzess-ID der letzten Tasks zu diesem Import-Vorgang
Typ der Eingabedaten
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Status dieses Import-Vorgangs
Label
Wurden die Daten seit der letzten Änderung am Regelwerk validiert?
falseProzess-ID der letzten Tasks zu diesem Import-Vorgang
Typ der Eingabedaten
Resource was not found
Resource was not valid to process
PUT /cmn/data-import/runs/single/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1689
{
"version": "text",
"info": {},
"id": "text",
"importMappingRuleSetRef": {
"id": "text"
},
"headers": [],
"label": "text",
"lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
"inputType": "FILE",
"queryPresetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
},
"scheduledImportRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"importMappingRuleSetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"state": "CREATED",
"headers": [],
"label": "text",
"validatedSinceLastRuleChange": false,
"lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
"inputType": "FILE",
"queryPresetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
},
"scheduledImportRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Status dieses Import-Vorgangs
Label
Wurden die Daten seit der letzten Änderung am Regelwerk validiert?
falseProzess-ID der letzten Tasks zu diesem Import-Vorgang
Typ der Eingabedaten
PUT /cmn/data-import/runs/single/{id}/state?state=CREATED HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"importMappingRuleSetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"state": "CREATED",
"headers": [],
"label": "text",
"validatedSinceLastRuleChange": false,
"lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
"inputType": "FILE",
"queryPresetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
},
"scheduledImportRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
No content
PUT /cmn/data-import/runs/single/{id}/run HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
OK
No content
PUT /cmn/data-import/runs/single/{id}/load-data HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
Version Identifier for this Object (for PUT)
Unique identifier of the Object
1-basierter Index
Status dieses Eintrags
Ergebnis der Validierung
Zeitpunkt der letzten Validierung
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
1-basierter Index
Status dieses Eintrags
Ergebnis der Validierung
Zeitpunkt der letzten Validierung
PUT /cmn/data-import/runs/single/{id}/entries/{entryId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 801
{
"version": "text",
"info": {},
"id": "text",
"content": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"transformationResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"index": 1,
"state": "NOT_YET_RUN",
"content": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"transformationResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"violations": [],
"validationState": "NOT_YET_RUN",
"lastValidatedAt": "2026-01-01T00:00:00.000Z"
}OK
No content
PUT /cmn/data-import/runs/single/{id}/entries/{entryId}/state?state=NOT_YET_RUN HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Status dieses Import-Vorgangs
Label
Wurden die Daten seit der letzten Änderung am Regelwerk validiert?
falseProzess-ID der letzten Tasks zu diesem Import-Vorgang
Typ der Eingabedaten
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Status dieses Import-Vorgangs
Label
Wurden die Daten seit der letzten Änderung am Regelwerk validiert?
falseProzess-ID der letzten Tasks zu diesem Import-Vorgang
Typ der Eingabedaten
Resource was not valid to process
POST /cmn/data-import/runs/single HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1689
{
"version": "text",
"info": {},
"id": "text",
"importMappingRuleSetRef": {
"id": "text"
},
"headers": [],
"label": "text",
"lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
"inputType": "FILE",
"queryPresetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
},
"scheduledImportRef": {
"id": "text"
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"importMappingRuleSetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"state": "CREATED",
"headers": [],
"label": "text",
"validatedSinceLastRuleChange": false,
"lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
"inputType": "FILE",
"queryPresetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
},
"scheduledImportRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Optional: Datensätze erst ab Eintrag ... validieren. null = ohne Einschränkung
Optional: Datensätze nur bis Eintrag ... validieren. null = ohne Einschränkung
OK
No content
POST /cmn/data-import/runs/single/{id}/run/validate HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
OK
Beschreibung zu einem Skript
GET /cmn/data-import/runs/single/{id}/script-context-description HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"mainInstance": {
"name": "text",
"description": "text",
"moduleName": "text",
"attributes": [],
"methods": [],
"usageExample": "text",
"type": "INSTANCE"
},
"availableTypes": [],
"availableInput": []
}OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
1-basierter Index
Status dieses Eintrags
Ergebnis der Validierung
Zeitpunkt der letzten Validierung
GET /cmn/data-import/runs/single/{id}/entries?applyTransformations=true HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]OK
GET /cmn/data-import/runs/single/supported-file-formats HTTP/1.1
Host: api.example.com
Accept: */*
OK
[
"text"
]Last updated
Was this helpful?